package com.gyee.wisdom.common.enums;

/**
 * Package: com.gyee.wisdom.admin.advice
 * Description： 产品化
 * Author:  ShiLin
 * Date: Created in 2018/4/10 16:52
 * Company: 公司
 * Copyright: Copyright (c) 2018
 * Version: 0.0.1
 * Modified By:
 */
public enum  ResultCode {

    SUCCESS(0, "请求成功"),
    UNRECORDED_ERROR(1, "未记录错误，请联系管理员！"),
    WEAK_NET_WORK(-1, "网络异常，请稍后重试"),
    PASSWORD_ERROR(10001, "用户名或密码错误"),
    PARAMETER_ERROR(10101, "参数错误"),
    DIVIDE_BY_ZERO(10102, "除数为零错误"),
    NULL_POINTER(10103, "空指针错误");

    private int code;
    private String msg;

    ResultCode(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

}
